/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flowdepth;

import org.dive4elements.river.artifacts.states.WaterlevelPairSelectState;

/**
 * @author Gernot Belger
 *
 */
// FIXME: very ugly; but probably we will break the serialization of WaterlevelPairSelectState if we introduce an
// abstraction
public final class FlowDepthPairSelectState extends WaterlevelPairSelectState {

    private static final long serialVersionUID = 1L;

    /** Specify to display a datacage_twin_panel. */
    @Override
    protected String getUIProvider() {
        return "sinfo_flowdepth_twin_panel";
    }
}